Errors installing socketStream #2825

Closed
klokoy opened this Issue Sep 22, 2012 · 1 comment

1 participant

@klokoy

This is done on a mac with osx 10.8.2

klokoy:projects klokoy$ sudo npm install -g socketstream
npm http GET https://registry.npmjs.org/socketstream
npm http 304 https://registry.npmjs.org/socketstream
npm http GET https://registry.npmjs.org/colors/0.6.0-1
npm http GET https://registry.npmjs.org/commander/0.6.1
npm http GET https://registry.npmjs.org/eventemitter2/0.4.9
npm http GET https://registry.npmjs.org/apitree/1.1.0
npm http GET https://registry.npmjs.org/uglify-js/1.3.3
npm http GET https://registry.npmjs.org/clean-css/0.4.2
npm http GET https://registry.npmjs.org/semver/1.0.14
npm http GET https://registry.npmjs.org/socket.io/0.9.8
npm http GET https://registry.npmjs.org/redis/0.8.1
npm http GET https://registry.npmjs.org/connect/2.4.5
npm http GET https://registry.npmjs.org/connect-redis/1.4.4
npm http GET https://registry.npmjs.org/chokidar/0.4.0
npm http 304 https://registry.npmjs.org/colors/0.6.0-1
npm http GET https://registry.npmjs.org/colors/-/colors-0.6.0-1.tgz
npm http 304 https://registry.npmjs.org/apitree/1.1.0
npm http GET https://registry.npmjs.org/apitree/-/apitree-1.1.0.tgz
npm http 304 https://registry.npmjs.org/eventemitter2/0.4.9
npm http GET https://registry.npmjs.org/eventemitter2/-/eventemitter2-0.4.9.tgz
npm http 304 https://registry.npmjs.org/uglify-js/1.3.3
npm http GET https://registry.npmjs.org/uglify-js/-/uglify-js-1.3.3.tgz
npm http 304 https://registry.npmjs.org/commander/0.6.1
npm http GET https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
npm http 304 https://registry.npmjs.org/clean-css/0.4.2
npm http GET https://registry.npmjs.org/clean-css/-/clean-css-0.4.2.tgz
npm http 304 https://registry.npmjs.org/semver/1.0.14
npm http GET https://registry.npmjs.org/semver/-/semver-1.0.14.tgz
npm http 304 https://registry.npmjs.org/socket.io/0.9.8
npm http GET https://registry.npmjs.org/socket.io/-/socket.io-0.9.8.tgz
npm http 304 https://registry.npmjs.org/redis/0.8.1
npm http GET https://registry.npmjs.org/redis/-/redis-0.8.1.tgz
npm http 304 https://registry.npmjs.org/connect/2.4.5
npm http GET https://registry.npmjs.org/connect/-/connect-2.4.5.tgz
npm http 304 https://registry.npmjs.org/connect-redis/1.4.4
npm http GET https://registry.npmjs.org/connect-redis/-/connect-redis-1.4.4.tgz
npm http 304 https://registry.npmjs.org/chokidar/0.4.0
npm http GET https://registry.npmjs.org/chokidar/-/chokidar-0.4.0.tgz
npm http 200 https://registry.npmjs.org/colors/-/colors-0.6.0-1.tgz
npm http 200 https://registry.npmjs.org/apitree/-/apitree-1.1.0.tgz
npm http 200 https://registry.npmjs.org/eventemitter2/-/eventemitter2-0.4.9.tgz
npm http 200 https://registry.npmjs.org/uglify-js/-/uglify-js-1.3.3.tgz
npm http 200 https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
npm http 200 https://registry.npmjs.org/clean-css/-/clean-css-0.4.2.tgz
npm http 200 https://registry.npmjs.org/semver/-/semver-1.0.14.tgz
npm http 200 https://registry.npmjs.org/socket.io/-/socket.io-0.9.8.tgz
npm http 200 https://registry.npmjs.org/redis/-/redis-0.8.1.tgz
npm http 200 https://registry.npmjs.org/connect/-/connect-2.4.5.tgz
npm http 200 https://registry.npmjs.org/connect-redis/-/connect-redis-1.4.4.tgz
npm http 200 https://registry.npmjs.org/chokidar/-/chokidar-0.4.0.tgz

chokidar@0.4.0 postinstall /usr/local/lib/node_modules/socketstream/node_modules/chokidar
node setup.js postinstall

npm ERR! TypeError: options.uid should be a number
npm ERR! at ChildProcess.spawn (child_process.js:778:24)
npm ERR! at Object.exports.spawn (child_process.js:614:9)
npm ERR! at spawn (/usr/local/lib/node_modules/npm/lib/utils/exec.js:103:22)
npm ERR! at exec (/usr/local/lib/node_modules/npm/lib/utils/exec.js:40:12)
npm ERR! at /usr/local/lib/node_modules/npm/lib/utils/lifecycle.js:141:5
npm ERR! at process.startup.processNextTick.process._tickCallback (node.js:244:9)
npm ERR! You may report this log at:
npm ERR! http://github.com/isaacs/npm/issues
npm ERR! or email it to:
npm ERR! npm-@googlegroups.com
npm ERR!
npm ERR! System Darwin 12.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "socketstream"
npm ERR! cwd /Users/klokoy/Documents/projects
npm ERR! node -v v0.8.8
npm ERR! npm -v 1.1.3
npm ERR! message options.uid should be a number
npm http GET https://registry.npmjs.org/debug
npm http GET https://registry.npmjs.org/socket.io-client/0.9.8
npm http GET https://registry.npmjs.org/policyfile/0.0.4
npm http GET https://registry.npmjs.org/redis/0.7.2
npm http GET https://registry.npmjs.org/optimist
npm http GET https://registry.npmjs.org/qs/0.4.2
npm http GET https://registry.npmjs.org/formidable/1.0.11
npm http GET https://registry.npmjs.org/crc/0.2.0
npm http GET https://registry.npmjs.org/cookie/0.0.4
npm http GET https://registry.npmjs.org/bytes/0.1.0
npm http GET https://registry.npmjs.org/send/0.0.4
npm http GET https://registry.npmjs.org/fresh/0.1.0
npm http GET https://registry.npmjs.org/pause/0.0.1
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /Users/klokoy/Documents/projects/npm-debug.log
npm not ok

@klokoy

This error occurred with npm version 1.1.3. I updated to 1.1.61 and the installation of socketStream worked like a charm.

@klokoy klokoy closed this Sep 22, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment